.goods-highlighting__card {
  box-sizing: border-box;
  padding: 60px 40px;
  height: 500px;
  border-radius: 16px;
  display: grid;
  grid-template-columns: 1fr 590px;
  gap: 40px;
  background-color: #1d2c40;
  overflow: hidden;
}
.goods-highlighting__card-description {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 16px;
}
.goods-highlighting__card-description-title {
  width: 100%;
  max-width: 770px;
  font-family: var(--font-random-grotesque-standard);
  font-weight: 400;
  font-size: 48px;
  color: white;
  line-height: 110%;
  margin: 0;
}
@media (max-width: 1199px) {
  .goods-highlighting__card-description-title {
    font-size: 40px;
  }
}
@media (max-width: 639px) {
  .goods-highlighting__card-description-title {
    font-size: 30px;
  }
}
.goods-highlighting__card-description-description {
  width: 100%;
  max-width: 770px;
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: white;
  line-height: 135%;
  margin-bottom: 22px;
}
@media (max-width: 639px) {
  .goods-highlighting__card-description-description {
    font-size: 15px;
  }
}
.goods-highlighting__card-description-button {
  box-sizing: border-box;
  padding: 21px 24px;
  border-radius: 12px;
  background-color: #fcf806;
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 100%;
  text-align: center;
  text-decoration: none;
  -webkit-user-select: none;
  transition: background-color 0.2s ease-out;
}
.goods-highlighting__card-description-button:active {
  background-color: #fcda06;
}
@media (hover: hover) and (pointer: fine) {
  .goods-highlighting__card-description-button:hover {
    background-color: #fcda06;
  }
}
.goods-highlighting__card-products {
  display: flex;
  flex-direction: column;
  gap: 8px;
  position: relative;
}
.goods-highlighting__card-products-item {
  position: absolute;
  left: 0;
  top: -270px;
  transform: translate3d(0, -50%, 0);
  box-sizing: border-box;
  width: 100%;
  height: 200px;
  border-radius: 16px;
  display: grid;
  grid-template-columns: 200px 1fr;
  gap: 8px;
  background-color: white;
  overflow: hidden;
  text-decoration: none;
}
@media (max-width: 959px) {
  .goods-highlighting__card-products-item {
    left: -300px;
    top: 0;
    width: 260px;
    height: 454px;
    grid-template-columns: auto;
    grid-template-rows: 260px 1fr;
  }
}
@media (max-width: 639px) {
  .goods-highlighting__card-products-item {
    grid-template-rows: 133px 1fr;
    width: 133px;
    height: 232px;
  }
}
.goods-highlighting__card-products-item-preview {
  box-sizing: border-box;
  padding: 8px;
  width: 200px;
  flex-shrink: 0;
  height: 100%;
  border-radius: 16px;
  background-color: rgba(29, 44, 64, 0.05);
  display: flex;
  justify-content: center;
  align-items: center;
}
@media (max-width: 959px) {
  .goods-highlighting__card-products-item-preview {
    width: 260px;
    height: auto;
  }
}
@media (max-width: 639px) {
  .goods-highlighting__card-products-item-preview {
    width: 133px;
  }
}
.goods-highlighting__card-products-item-preview-img {
  width: 100%;
  height: 100%;
  mix-blend-mode: darken;
  -webkit-user-select: none;
  -webkit-user-drag: none;
  object-fit: contain;
}
.goods-highlighting__card-products-item-description {
  box-sizing: border-box;
  height: 200px;
  padding: 9px 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 5px;
}
@media (max-width: 959px) {
  .goods-highlighting__card-products-item-description {
    padding: 12px 8px;
    height: 100%;
  }
}
@media (max-width: 639px) {
  .goods-highlighting__card-products-item-description {
    padding: 6px 4px;
  }
}
.goods-highlighting__card-products-item-description-heading {
  display: flex;
  flex-direction: column;
  gap: 4px;
}
@media (max-width: 639px) {
  .goods-highlighting__card-products-item-description-heading {
    gap: 2px;
  }
}
.goods-highlighting__card-products-item-description-heading-category {
  padding: 0;
  margin: 0;
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
@media (max-width: 639px) {
  .goods-highlighting__card-products-item-description-heading-category {
    font-size: 10px;
  }
}
.goods-highlighting__card-products-item-description-heading-title {
  padding: 0;
  margin: 0;
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
}
@media (max-width: 959px) {
  .goods-highlighting__card-products-item-description-heading-title {
    -webkit-line-clamp: 1;
  }
}
@media (max-width: 639px) {
  .goods-highlighting__card-products-item-description-heading-title {
    font-size: 8px;
  }
}
.goods-highlighting__card-products-item-description-price {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.goods-highlighting__card-products-item-description-price-current {
  display: flex;
  flex-direction: column;
  gap: 6px;
  align-items: start;
}
.goods-highlighting__card-products-item-description-price-current-title {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 15px;
  color: black;
  line-height: 135%;
}
.goods-highlighting__card-products-item-description-price-current-price {
  box-sizing: border-box;
  padding: 4px 8px;
  background-color: #fcf806;
  border-radius: 8px;
}
.goods-highlighting__card-products-item-description-price-current-price-value {
  font-family: var(--font-mevermind-compact);
  font-weight: 500;
  font-size: 22px;
  color: black;
  line-height: 135%;
}
.goods-highlighting__card-products-item-description-price-rivals-title {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 15px;
  color: rgba(29, 44, 64, 0.5);
  line-height: 135%;
}
.goods-highlighting__card-products-item-description-price-rivals-price {
  font-family: var(--font-mevermind-compact);
  font-weight: 500;
  font-size: 22px;
  color: black;
  line-height: 135%;
}
@media screen and (width <= 1599px) {
  .goods-highlighting__card {
    grid-template-columns: 7fr 8fr;
    gap: 30px;
  }
}
@media screen and (width <= 1199px) {
  .goods-highlighting__card {
    grid-template-columns: 1fr 1fr;
    gap: 16px;
    height: auto;
    align-items: center;
  }
}
@media screen and (width <= 959px) {
  .goods-highlighting__card {
    grid-template-columns: 1fr;
    gap: 30px;
    padding: 30px 32px;
  }
  .goods-highlighting__card-description {
    order: 2;
  }
  .goods-highlighting__card-description-button {
    width: 100%;
  }
  .goods-highlighting__card-products {
    height: 454px;
  }
}
@media screen and (width <= 639px) {
  .goods-highlighting__card {
    padding: 30px 16px;
  }
  .goods-highlighting__card-products {
    height: 232px;
  }
  .goods-highlighting__card-products-item-description-price {
    gap: 2px;
  }
  .goods-highlighting__card-products-item-description-price-current {
    gap: 3px;
  }
  .goods-highlighting__card-products-item-description-price-current-title {
    font-size: 9px;
  }
  .goods-highlighting__card-products-item-description-price-current-price {
    padding: 2px 4px;
  }
  .goods-highlighting__card-products-item-description-price-current-price-value {
    font-size: 12px;
  }
  .goods-highlighting__card-products-item-description-price-rivals-title {
    font-size: 9px;
  }
  .goods-highlighting__card-products-item-description-price-rivals-price {
    font-size: 12px;
  }
}